diff --git a/doc/src/sgml/install-windows.sgml b/doc/src/sgml/install-windows.sgml
index bfe840c..f08cca7 100644
--- a/doc/src/sgml/install-windows.sgml
+++ b/doc/src/sgml/install-windows.sgml
@@ -455,9 +455,10 @@ $ENV{CONFIG}="Debug";
   </para>
 
   <para>
-   Running the regression tests on client programs, with "vcregress bincheck",
-   or on recovery tests, with "vcregress recoverycheck" requires an additional
-   Perl module to be installed:
+   Running the regression tests on client programs, with
+   <command>vcregress bincheck</>, or on recovery tests, with
+   <command>vcregress recoverycheck</> requires an additional Perl module
+   to be installed:
    <variablelist>
     <varlistentry>
      <term><productname>IPC::Run</productname></term>
diff --git a/src/test/README b/src/test/README
index 5587422..62395e7 100644
--- a/src/test/README
+++ b/src/test/README
@@ -28,6 +28,9 @@ modules/
 perl/
   Infrastructure for Perl-based TAP tests
 
+recovery/
+  Test suite for recovery and replication
+
 regress/
   PostgreSQL's main regression test suite, pg_regress
 
diff --git a/src/test/recovery/.gitignore b/src/test/recovery/.gitignore
index 499fa7d..871e943 100644
--- a/src/test/recovery/.gitignore
+++ b/src/test/recovery/.gitignore
@@ -1,3 +1,2 @@
 # Generated by test suite
-/regress_log/
 /tmp_check/
diff --git a/src/test/recovery/Makefile b/src/test/recovery/Makefile
index 330ab2b..9290719 100644
--- a/src/test/recovery/Makefile
+++ b/src/test/recovery/Makefile
@@ -15,3 +15,6 @@ include $(top_builddir)/src/Makefile.global
 
 check:
 	$(prove_check)
+
+clean distclean maintainer-clean:
+	rm -rf tmp_check
diff --git a/src/test/recovery/README b/src/test/recovery/README
index a9ee865..3cafb9d 100644
--- a/src/test/recovery/README
+++ b/src/test/recovery/README
@@ -3,11 +3,7 @@ src/test/recovery/README
 Regression tests for recovery and replication
 =============================================
 
-This directory contains a test suite for recovery and replication,
-testing mainly the interactions of recovery.conf with cluster
-instances by providing a simple set of routines that can be used
-to define a custom cluster for a test, including backup, archiving,
-and streaming configuration.
+This directory contains a test suite for recovery and replication.
 
 Running the tests
 =================
diff --git a/src/test/recovery/t/002_archiving.pl b/src/test/recovery/t/002_archiving.pl
index 06c3ff4..67bb7df 100644
--- a/src/test/recovery/t/002_archiving.pl
+++ b/src/test/recovery/t/002_archiving.pl
@@ -1,4 +1,4 @@
-# test for archiving with warm standby
+# test for archiving with hot standby
 use strict;
 use warnings;
 use PostgresNode;
diff --git a/src/test/recovery/t/004_timeline_switch.pl b/src/test/recovery/t/004_timeline_switch.pl
index 573f40a..58bf580 100644
--- a/src/test/recovery/t/004_timeline_switch.pl
+++ b/src/test/recovery/t/004_timeline_switch.pl
@@ -1,5 +1,5 @@
 # Test for timeline switch
-# Ensure that a standby is able to follow a newly-promoted standby
+# Ensure that a cascading standby is able to follow a newly-promoted standby
 # on a new timeline.
 use strict;
 use warnings;
diff --git a/src/tools/msvc/clean.bat b/src/tools/msvc/clean.bat
index 58357f8..3491344 100755
--- a/src/tools/msvc/clean.bat
+++ b/src/tools/msvc/clean.bat
@@ -97,6 +97,7 @@ if exist src\bin\pg_ctl\tmp_check rd /s /q src\bin\pg_ctl\tmp_check
 if exist src\bin\pg_rewind\tmp_check rd /s /q src\bin\pg_rewind\tmp_check
 if exist src\bin\pgbench\tmp_check rd /s /q src\bin\pgbench\tmp_check
 if exist src\bin\scripts\tmp_check rd /s /q src\bin\scripts\tmp_check
+if exist src\test\recovery\tmp_check rd /s /q src\test\recovery\tmp_check
 
 REM Clean up datafiles built with contrib
 REM cd contrib
